#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import "../../../../../chunk-DHZ7AZKP.js";

// ../../boilerplates/aws/dist/files/cdk/$stack-name-suffix.json.js
async function getDataJson() {
  const dataJson = {
    stackNameSuffix: generateRandomPrefix(8)
  };
  return dataJson;
}
function generateRandomPrefix(length) {
  if (process.env.NODE_ENV === "test") return "TEST";
  const characters = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
  let result = "";
  for (let i = 0; i < length; i++) {
    result += characters.charAt(Math.floor(Math.random() * characters.length));
  }
  return result;
}
export {
  getDataJson as default
};
